<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myContainerLabel" jhiTranslate="mpmApp.container.home.search">Create or edit a Container</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>

    <div class="modal-body">

        <p-dataTable
            [value]="containers"
            [editable]="false"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(selection)]="selected"
            dataKey="idContainer"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.container.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.container.containerCode'|translate}}" field="containerCode" [editable]="true">
            </p-column>
            <p-column header="{{'mpmApp.container.description'|translate}}" field="description" [editable]="true">
            </p-column>
            <p-column header="{{'mpmApp.container.facility'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.facilityId">
                        <a [routerLink]="['../facility', rowData.facilityId  ]" >{{rowData.facilityDescription}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.container.containerType'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.containerTypeId">
                        <a [routerLink]="['../container-type', rowData.containerTypeId  ]" >{{rowData.containerTypeDescription}}</a>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit"
            label="{{'entity.action.select' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>